import { ServiceIdentifier } from '../../instantiation/common/instantiation.js';
import { Event } from '../../../base/common/event.js';

declare const IAccessibilityService: ServiceIdentifier<IAccessibilityService>;
interface IAccessibilityService {
    readonly _serviceBrand: undefined;
    readonly onDidChangeScreenReaderOptimized: Event<void>;
    readonly onDidChangeReducedMotion: Event<void>;
    alwaysUnderlineAccessKeys(): Promise<boolean>;
    isScreenReaderOptimized(): boolean;
    isMotionReduced(): boolean;
    getAccessibilitySupport(): AccessibilitySupport;
    setAccessibilitySupport(accessibilitySupport: AccessibilitySupport): void;
    alert(message: string): void;
    status(message: string): void;
}
declare const enum AccessibilitySupport {
    /**
     * This should be the browser case where it is not known if a screen reader is attached or no.
     */
    Unknown = 0,
    Disabled = 1,
    Enabled = 2
}
interface IAccessibilityInformation {
    label: string;
    role?: string;
}

export { AccessibilitySupport, type IAccessibilityInformation, IAccessibilityService };
