import { createDecorator } from '../../instantiation/common/instantiation.js';
const IUndoRedoService = ( createDecorator('undoRedoService'));
class ResourceEditStackSnapshot {
    constructor(resource, elements) {
        this.resource = resource;
        this.elements = elements;
    }
}
class UndoRedoGroup {
    static { this._ID = 0; }
    constructor() {
        this.id = UndoRedoGroup._ID++;
        this.order = 1;
    }
    nextOrder() {
        if (this.id === 0) {
            return 0;
        }
        return this.order++;
    }
    static { this.None = ( new UndoRedoGroup()); }
}
class UndoRedoSource {
    static { this._ID = 0; }
    constructor() {
        this.id = UndoRedoSource._ID++;
        this.order = 1;
    }
    nextOrder() {
        if (this.id === 0) {
            return 0;
        }
        return this.order++;
    }
    static { this.None = ( new UndoRedoSource()); }
}
export { IUndoRedoService, ResourceEditStackSnapshot, UndoRedoGroup, UndoRedoSource };
