import { GroupModelChangeKind } from '../editor.js';
import { EditorInput } from './editorInput.js';

interface IGroupModelChangeEvent {
    /**
     * The kind of change that occurred in the group model.
     */
    readonly kind: GroupModelChangeKind;
    /**
     * Only applies when editors change providing
     * access to the editor the event is about.
     */
    readonly editor?: EditorInput;
    /**
     * Only applies when editors change providing
     * access to the index of the editor the event
     * is about.
     */
    readonly editorIndex?: number;
}

export type { IGroupModelChangeEvent };
