import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { IPath } from '../../../../platform/window/common/window.js';
import { IEnvironmentService } from '../../../../platform/environment/common/environment.js';
import { URI } from '../../../../base/common/uri.js';

declare const IWorkbenchEnvironmentService: ServiceIdentifier<IWorkbenchEnvironmentService>;
/**
 * A workbench specific environment service that is only present in workbench
 * layer.
 */
interface IWorkbenchEnvironmentService extends IEnvironmentService {
    readonly logFile: URI;
    readonly windowLogsPath: URI;
    readonly extHostLogsPath: URI;
    readonly extHostTelemetryLogFile: URI;
    readonly extensionEnabledProposedApi?: string[];
    readonly remoteAuthority?: string;
    readonly skipReleaseNotes: boolean;
    readonly skipWelcome: boolean;
    readonly disableWorkspaceTrust: boolean;
    readonly webviewExternalEndpoint: string;
    readonly debugRenderer: boolean;
    readonly logExtensionHostCommunication?: boolean;
    readonly enableSmokeTestDriver?: boolean;
    readonly profDurationMarkers?: string[];
    readonly filesToOpenOrCreate?: IPath[] | undefined;
    readonly filesToDiff?: IPath[] | undefined;
    readonly filesToMerge?: IPath[] | undefined;
}

export { IWorkbenchEnvironmentService };
