import { RemoteAuthorityResolverErrorCode, ResolverResult } from '../../../../platform/remote/common/remoteAuthorityResolver.js';

interface IResolveAuthorityErrorResult {
    type: 'error';
    error: {
        message: string | undefined;
        code: RemoteAuthorityResolverErrorCode;
        detail: any;
    };
}
interface IResolveAuthorityOKResult {
    type: 'ok';
    value: ResolverResult;
}
type IResolveAuthorityResult = IResolveAuthorityErrorResult | IResolveAuthorityOKResult;

export type { IResolveAuthorityErrorResult, IResolveAuthorityOKResult, IResolveAuthorityResult };
